#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC8,0x3F,0x1E,0x52,0xE4,0xEE,0x29,0x76,0x20,0xFF,0xEE,0xFE,
		0x55,0x65,0x2F,0xA6,0x75,0x24,0x67,0xFF,0xE9,0x0C,0xCC,0x6B,
		0x72,0x0E,0x09,0x4F,0x66,0xFA,0x5E,0x23,0x0A,0x82,0x16,0xAB,
		0x98,0xC5,0xDC,0x91,0xB2,0xD7,0xCE,0x07,0xB6,0x1F,0x1D,0xD0,
		0xBC,0xD5,0xD3,0xF1,0x85,0xC6,0xC9,0x51,0x26,0xD9,0xCB,0x58,
		0x40,0xD1,0x73,0xE3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
